iOS 5 and iPhone 4 01.59.00 Baseband

Discussion in 'Jailbreaks and iOS Hacks' started by DaMan05, Oct 6, 2011.

  1. DaMan05 macrumors member

    Joined:
    Nov 10, 2008
    #1
    Hey guys,

    I haven't been keeping up too much with the latest news but any possibility that I will be able to upgrade to iOS 5 with my current 01.59.00 baseband? Or any hints that the BB that comes with iOS 5 will be unlockable?

    I'm currently on 4.1 with 01.59.00 jaibroken with limera1n. I actually don't need an unlock and my phone isn't even unlocked now, but I like to have possibility if ever needed ;)

    #OccupyTogether
     
  2. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #2
    Im the same.
    On 4.3.3 with 01.59.00 BB and waiting for pwnage tool or till there's an untethered JB for 5.0 to upgrade and maintain the unlockable baseband so I can sell it for a little more right after I get the 4S.
     
  3. tehreflex, Oct 6, 2011
    Last edited: Oct 6, 2011

    tehreflex macrumors 6502

    Joined:
    Jul 30, 2009
    #3
    I upgraded to iOS 5 GM and was able to preserve my BB by using snowbreeze and my osx86 install of Lion. Installed iTunes Beta 9 and worked like a charm.

    http://i.imgur.com/2TRB6.png
     
  4. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #4
    You're on a tethered JB though.
     
  5. DaMan05 thread starter macrumors member

    Joined:
    Nov 10, 2008
    #5
    Oh really? That's great!

    I would love an untethered JB but if that's all that's available a few weeks into iOS5, then that's what I'll do :)

    Especially if Siri gets ported. That's the only reason I'm not upgrading, because I have faith that Siri will be ported to iPhone 4.
     
  6. tehreflex macrumors 6502

    Joined:
    Jul 30, 2009
    #6
    Well yea, I'm never not near a computer to boot it though. At home I have my computer, I also have my laptop Win 7/ osx86 lion, and at work I sit on my computer all day.
     
  7. funguyom Guest

    Joined:
    Aug 7, 2006
    #7
    Downgrading BB from 04.11.08 to 01.59.00: Possible?

    I have an iPhone 4 AT&T simlocked with iOS 5/04.11.08. I was hoping to be able to restore it to iOS 4.0 and then install through pwnagetool iOS 4.3.3 w/BB preservation. Does this sound possible? Do I have any other options to get the earlier BB? I'm hoping to unlock w/ ultrasn0w if I can do this, although I'm not opposed to going back to iOS5 (although I suspect I must await a new pwnagetool as I don't have windows readily available).

    Thanks for the advise and looking out for me.

    funguyom
     
  8. nebo1ss macrumors 68030

    Joined:
    Jun 2, 2010
    #8
    You cannot downgrade your baseband, not possible. The only way to unlock your phone is the Gevey SIM. You are stuck with the 4.11 baseband Pwnage can do nothing for you.
     
  9. HPLouis macrumors regular

    Joined:
    Nov 12, 2010
    #9
    If his baseband is 04.11.08, then he most likely won't be able to unlock with Gevey. The last baseband that Gevey was sure to unlock was 04.10.01.
     
  10. Djlild7hina macrumors 6502a

    Joined:
    Mar 28, 2009
    #10
    you can't downgrade to 1.59.00 to use ultrasn0w but i believe you can dfu restore down to 4.3.5 to downgrade to 4.10.1 and use gevey sim since the official release of ios5 isnt out yet and 4.3.5 restores still work
     
  11. funguyom Guest

    Joined:
    Aug 7, 2006
    #11
    So what I did tonight...

    What I did was open the ipsw swap basebands with the older one, then put it back together. FAIL. They must have some signature on those files. Bah.

    Also was able to restore to 4.3.5, but decided to **** it as I couldn't get any earlier basebands on my phone. I'll keep iOS5 w/ the new baseband which is equally impossible to unlock as the older basebands. So you guys were right (and I'd consider myself mildly advanced with this stuff).

    But, what is really standing between me and restoring my phone to an older version is Apple's servers. If it were possible to spoof them with a network app, we'd be able to do whatever we want, just as you can do on the iPod Touch which doesn't have to worry about basebands. Xcode as well as iTunes were both unwelcoming to the idea of a restore from an older firmware. Lame. The other way around it would be to create an alternative app to flash the device, besides iTunes/Xcode.

    Is there an older version of iTunes/Xcode (compatible with Lion) that will restore without phoning home? That would be the other way out.

    Thanks for considering these things guys. You're the best!

    funguyom

    PS iOS 4.3.5 installed ultrasn0w no problem, but using my non-at&t sim just wasn't going to work. In iOS5, ultrasn0w fails upon install...
     
  12. jhajj macrumors newbie

    Joined:
    Oct 8, 2011
    #12
    For those who unlocked using gevey sim I would like to know how you got past the activation process in ios 5 when you need a at&t sim to get the phone to go to the homescreen?
     
  13. DaMan05 thread starter macrumors member

    Joined:
    Nov 10, 2008
  14. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #14
    You buy a used AT&T sim on ebay for like $1
    Even inactive sims will get you into the homescreen.
     
  15. phreakii macrumors newbie

    Joined:
    Oct 12, 2011
    #15
    iOS 5 and iPhone 4 01.59.00 Jailbroken and carrier unlocked with Blacksn0w

    Im also curious and wants to get that kind of help.

    Ive got a jailbroken iphone 4, baseband 01.59.00, running 4.3.3.
    That Ive carrier unlocked with Blacksn0w.

    But of course today I want the official "GM" iOS 5.

    I don't really care if it's become tethered or untethered at this point.
    The things is that I most after the iOS 5 update have the carrier unlock with me.
    Is this something i can do with a fresh install? Or can I use it like it today, and update it to iOS 5 without loose the jailbreak and carrier unlock?


    Thanks in advance guys!
     
  16. DaMan05 thread starter macrumors member

    Joined:
    Nov 10, 2008
    #16
    Did you read post 3?
     
  17. phreakii macrumors newbie

    Joined:
    Oct 12, 2011
    #17
    Mhm.
    But after you wrote you got hijacked I got scared! :eek:

    ;)

    And I wasn't sure about the whole thing.
    If something goes wrong, if the baseband should update, can't downgrade the iOS..
    Im screwed..
     
  18. serveradmnstrtr macrumors member

    Joined:
    Oct 13, 2011
    #18
    I know that people wish to preserve their baseband in order to be able to carrier unlock, but I'm hearing that a lot of people are unable to get MMS or 3G working if they keep their 1.59 baseband.

    Can someone confirm? I don't mind upgrading my baseband since i'm on my official carrier but I want MMS and 3G to work without any issues like I had in 4.3.3 with BB 1.59.
     
  19. weemanpow3 macrumors 6502

    weemanpow3

    Joined:
    Mar 14, 2008
    #19
    Same issues are carried over into iOS5 based on pictures from other MR users. I also have 1.59.00 and stuck on 4.2.1. The only reason why I haven't updated is because I was anticipating on selling it unlocked so I can buy the iPhone 5. Since no major iPhone release this year, I will have the iPhone 4 for another year. I can really care less about unlocking since I never actually used the unlock since I don't plan traveling out of the country and I have been on AT&T network since 1999.

    The only two things I care about is being able to jailbreak so I can use MyWi and use iOS5 without compatibility problems/issues.
     
  20. DJBBOX macrumors regular

    DJBBOX

    Joined:
    Sep 7, 2011
    Location:
    Miami, FL
    #20
    first of all baseband can not be downgraded. restoring to an earlier iOS version will not downgrade your baseband.
    i think you mean unlocked with ultrasn0w. the only way is for you to use sn0wbreeze to restore to a custom .ipsw for iOS 5.0GM. the downside is the j/b will be tethered and ultrasn0w has not yet been updated to use with iOS 5 but i think this will change in the next hours or maybe a day or two as a new mobilesubtrate update is coming soon and musclenerd said they will push out an update for ultrasn0w right after.
     
  21. DaMan05 thread starter macrumors member

    Joined:
    Nov 10, 2008
    #21
    Whaaaaaat? Is this true?!

    I have no problems on 4.1 with 01.59.00

    01.59.00 was the official BB of 4.0-4.0.2

    So I'm currently on an "unofficial" BB with no problems.

    I really hope I don't have problems on 5.0. I don't need the unlock and Rogers will unlock my phone when I upgrade or my contract is over but I still like to have the possibility.
     
  22. DJBBOX macrumors regular

    DJBBOX

    Joined:
    Sep 7, 2011
    Location:
    Miami, FL
    #22
    well I'm on 4.3.3 with 01.59.00 on official carrier and the only issue is the signal bars don't work, no other issue here. but i had visual voicemail and MMS issues while using ultrasn0w.
     
  23. serveradmnstrtr macrumors member

    Joined:
    Oct 13, 2011
    #23
    I just bit the bullet and upgraded to iOS 5. My upgrade process was as follows:

    iPhone 4 - iOS 4.2.1 - 1.59.00 Baseband

    Upgraded to 4.3.3 STOCK with TinyUmbrella enabling "Upgrade Baseband" in advanced settings

    Activated on stock Carrier (ATT) and confirm 4.10.01 Baseband

    Run Jailbreak.me Jailbreak and confirm Untethered Jailbreak, MMS, 3g

    Create custom IPSW via Snowbreeze for iOS 5

    Run iReb (to get around iTunes 1600 error) and restore to iOS 5

    Reboot using iBooty and run Cydia to test

    --Now running iOS 5, BB 04.10.01 and MMS/3G confirmed working
     
  24. DaMan05 thread starter macrumors member

    Joined:
    Nov 10, 2008
    #24
    I don't understand why you went to 04.10.01 BB?? If you're leaving the unlockability of 01.59.00 then why didn't you just go to stock iOS5?

    Edit: So you can unlock with this Gevey thing?

    Can anyone link me to credible information that 01.59.00 does not work properly with iOS5? Then I will have to either go serveradmnstrtr's way or stock iOS5
     
  25. serveradmnstrtr macrumors member

    Joined:
    Oct 13, 2011
    #25
    I went with upgrading to 4.3.3 Baseband just in case I want to downgrade back to 4.X. I didn't want to be stuck only on 5.x and not be able to downgrade.

    I had problems with MMS and 3G when I was on BB 1.59 and iOS 4.3.3 so that's why I figured I would just upgrade to the latest BB before going to iOS 5
     

Share This Page